Subject: Re: bug#62493: xelatex won't render fonts correctly without full texlive

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 29 Mar 2023 22:18:35 +0200

John Kehayias <[email-masked]> writes:

> "Ricardo Wurmus" <[email-masked]> writes:
>
>> John Kehayias <[email-masked]> writes:
>>
>>> Exported revision 59745.
>>> svn: E160013: File not found: revision 66702, path
>>> '/tags/texlive-2021.3/Master/texmf-dist/tcode'
>>> command "svn" "export" "--non-interactive" "--trust-server-cert"
>>> "-r" "59745"
>>> "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/tcode/"
>>> "/tmp/guix-directory.XcAtR6/tcode/" failed with status 1
>>
>> The importer is naive and assumes that any file in tlpdb starts with
>> “texmf-dist/”.  For the xetex package there’s a file
>> “tlpkg/tlpostcode/xetex.pl” and if you drop the same number of
>> characters that you would for “texmf-dist/” you end up with
>> “tcode/xetex.pl”.
>>
>> Oops!
>
> Unfortunately that leaves me at a bit of a loss for making a
> texlive-xetex package as I'm not understanding the whole texlive package
> structure at first glance. I've tried something similar to other
> packages I see but haven't gotten anywhere.

Commit cbf731ae481b434e657b05c80b4a32282e5d112b adds texlive-xetex.  Now
the quotes look fine.

I adjusted the importer in a few commits after that, but generally the
recursive texlive importer suffers from the fact that we have a lot of
inconsistent package names.

-- 
Ricardo